Bug 889376 - Creating application from existing git repository not well documented
Summary: Creating application from existing git repository not well documented
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Rob Millner
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 00:22 UTC by Arun
Modified: 2015-05-14 23:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-16 19:43:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Arun 2012-12-21 00:22:38 UTC
Creating a web application using web console provides an option to either create git repository or point to an existing repository.

The message says:

"Your application will start with a copy of the code and configuration provided in this Git repository."

Its not clear that the git repository should have all the configuration required by OpenShift be part of the repository. The exact configuration required by OpenShift should be clearly documented in this case to make this scenario more usable.

Comment 1 Clayton Coleman 2013-01-07 23:37:35 UTC
Each of the different cartridges should be doing a better job of picking up defaults.  I'll add a caveat to the UI and then I'm going to transfer this to the cartridges team (we've had a lot of feedback recently about this and I'm a firm believer we should be detecting sane defaults).

Clarification is in https://github.com/openshift/origin-server/pull/1127

Transferring to cartridges component.  Each cartridge should do a better job of detecting the config of the code and responding to it.

Comment 2 manoj 2013-01-16 19:24:46 UTC
Need to convert to User Story.

Comment 3 Rob Millner 2013-01-16 19:42:41 UTC
User story US3297 created to cover the cartridge/node changes.

Comment 4 Rob Millner 2013-01-16 19:43:48 UTC
Closing as deferred since the bug has transitioned to a user story.


Note You need to log in before you can comment on or make changes to this bug.